-- Test campsite_type_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(51);

set search_path to camper, public;

select has_table('campsite_type_i18n');
select has_pk('campsite_type_i18n');
select col_is_pk('campsite_type_i18n', array['campsite_type_id', 'lang_tag']);
select table_privs_are('campsite_type_i18n', 'guest', array['SELECT']);
select table_privs_are('campsite_type_i18n', 'employee', array['SELECT']);
select table_privs_are('campsite_type_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('campsite_type_i18n', 'authenticator', array[]::text[]);

select has_column('campsite_type_i18n', 'campsite_type_id');
select col_is_fk('campsite_type_i18n', 'campsite_type_id');
select fk_ok('campsite_type_i18n', 'campsite_type_id', 'campsite_type', 'campsite_type_id');
select col_type_is('campsite_type_i18n', 'campsite_type_id', 'integer');
select col_not_null('campsite_type_i18n', 'campsite_type_id');
select col_hasnt_default('campsite_type_i18n', 'campsite_type_id');

select has_column('campsite_type_i18n', 'lang_tag');
select col_is_fk('campsite_type_i18n', 'lang_tag');
select fk_ok('campsite_type_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('campsite_type_i18n', 'lang_tag', 'text');
select col_not_null('campsite_type_i18n', 'lang_tag');
select col_hasnt_default('campsite_type_i18n', 'lang_tag');

select has_column('campsite_type_i18n', 'name');
select col_type_is('campsite_type_i18n', 'name', 'text');
select col_not_null('campsite_type_i18n', 'name');
select col_hasnt_default('campsite_type_i18n', 'name');

select has_column('campsite_type_i18n', 'spiel');
select col_type_is('campsite_type_i18n', 'spiel', 'xml');
select col_not_null('campsite_type_i18n', 'spiel');
select col_hasnt_default('campsite_type_i18n', 'spiel');

select has_column('campsite_type_i18n', 'info');
select col_type_is('campsite_type_i18n', 'info', 'xml');
select col_not_null('campsite_type_i18n', 'info');
select col_hasnt_default('campsite_type_i18n', 'info');

select has_column('campsite_type_i18n', 'facilities');
select col_type_is('campsite_type_i18n', 'facilities', 'xml');
select col_not_null('campsite_type_i18n', 'facilities');
select col_hasnt_default('campsite_type_i18n', 'facilities');

select has_column('campsite_type_i18n', 'description');
select col_type_is('campsite_type_i18n', 'description', 'xml');
select col_not_null('campsite_type_i18n', 'description');
select col_hasnt_default('campsite_type_i18n', 'description');

select has_column('campsite_type_i18n', 'additional_info');
select col_type_is('campsite_type_i18n', 'additional_info', 'xml');
select col_not_null('campsite_type_i18n', 'additional_info');
select col_hasnt_default('campsite_type_i18n', 'additional_info');

select has_column('campsite_type_i18n', 'check_in');
select col_type_is('campsite_type_i18n', 'check_in', 'text');
select col_not_null('campsite_type_i18n', 'check_in');
select col_hasnt_default('campsite_type_i18n', 'check_in');

select has_column('campsite_type_i18n', 'check_out');
select col_type_is('campsite_type_i18n', 'check_out', 'text');
select col_not_null('campsite_type_i18n', 'check_out');
select col_hasnt_default('campsite_type_i18n', 'check_out');


select *
from finish();

rollback;

